
Figure - Bug #112125
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110883 (New): AF-V1.0功能测试-蓝牙

【LC】【EVT】【蓝牙】蓝牙搜索仍然能搜索到手机类型的设备
2022-09-23 19:49 - CD Test赵飞

Status: CLOSED Start date: 2022-09-23

Priority: Normal Due date: 2022-09-30

Assignee: CD Test赵飞 % Done: 100%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220923.alpha_0017

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 增加了过滤手机类型的逻辑

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220923.alpha_0017

【前提条件】

1、设备已开机

2、蓝牙开关已打开

3、辅助测试手机蓝牙已打开

【测试步骤】

1、打开设置 - 已连接的设备

2、点击“+ 与新设备配对”

3、查看搜索到的设备列表

4、尝试与搜索到手机进行配对

【预期结果】

3、搜索到的设备列表中没有辅助手机名称

【实际结果】

3、搜索到的设备列表中有辅助手机

4、DUT可以与辅助手机进行配对

【复现率】

5/5

【日志】

见附件

【Note】

DUT不支持与手机类型的设备进行配对连接，现在的处理逻辑是配对后自动断开

History

#1 - 2022-09-26 17:51 - CD LC-徐玺栋

- Target version set to VX1_MCE_FSE_V2.0_20220930

#2 - 2022-09-27 10:37 - CD LC-徐玺栋
- Status changed from New to RESOLVED

- Assignee changed from CD LC-徐玺栋 to CD Test赵飞

- Resolution changed from -- to FIXED

■ Current conclusion

已经作了修改本地验证可以生效；

■ My analysis

先在显示上增加过滤条件来使得手机类型不会显示在扫描列表中，如有更完美的方法后续会跟进更改；

■ Next action

9/26提交了代码，在9/27日入库，需要测试同学在9/28的DB上复测验证

#3 - 2022-09-27 18:21 - CD LC-徐玺栋

- Root cause set to 增加了过滤手机类型的逻辑

#4 - 2022-09-28 15:37 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 80

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

验证结果：PASS

#5 - 2022-09-28 15:37 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#6 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151672 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tuyu0702@thundersoft.com

LC:BT: Filter out phone devices from Bluetooth scan listAdd judgment logic in onDeviceAdded(), if it is a mobile phone type,it will not be displayedTC-RID:

1201-0400120IssueID: TS-R-BUG-112125Change-Id: Ifd47d20823b34b33632ec9ef0cf47dd20837742c

#7 - 2023-11-13 17:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

325436 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

2025-07-04 2/4



LC:BT: Filter out central control from Bluetooth scan listAdd judgment logic in onDeviceAdded(), if it is central control,it will not be displayedTC-RID:

1201-0400120IssueID: TS-R-BUG-112125Change-Id: I99da8453c79d0ff611c981a30994d6ade223ac5e

#8 - 2023-11-20 13:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329424 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:BT: Filter out central control from Bluetooth scan listAdd judgment logic in onDeviceAdded(), if it is central control,it will not be displayedTC-RID:

1201-0400120IssueID: TS-R-BUG-112125Change-Id: I99da8453c79d0ff611c981a30994d6ade223ac5e(cherry picked from commit

6985b5e6e195aa6d15f638cd84e7153940f6ae5d)

#9 - 2023-12-26 21:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

337396 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:BT: Update Bluetooth strategy for the phone type1.Cancel pairing of HiCar untrusted phones.2.Auto pair for HiCar trusted phones.3.Hide the phone type in

the Bluetooth list.TC-RID: 1201-0400120IssueID: TS-R-BUG-112125Change-Id: I2f3fb4a2d92987e9897e48f2a8891638bd91fc9c

#10 - 2023-12-27 23:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

340578 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

LC:BT: Update Bluetooth strategy for the phone type1.Cancel pairing of HiCar untrusted phones.2.Auto pair for HiCar trusted phones.3.Hide the phone type in

the Bluetooth list.TC-RID: 1201-0400120IssueID: TS-R-BUG-112125Change-Id: I2f3fb4a2d92987e9897e48f2a8891638bd91fc9c(cherry picked from commit

acab52f5f60f412344704c17d2e646a73c6f8a54)
logcat.txt 2.64 MB 2022-09-23 CD Test赵飞

Screenshot_20220923-012034.png 132 KB 2022-09-23 CD Test赵飞
